# Class TCefTextfieldDelegateOwn

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTextfieldDelegate

## Declaration

`type TCefTextfieldDelegateOwn = class(TCefViewDelegateOwn, ICefTextfieldDelegate)`

## Description

Implement this interface to handle Textfield events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_textfield_delegate_capi.h">CEF source file: /include/capi/views/cef_textfield_delegate_capi.h (cef_textfield_delegate_t))

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedOwn
- TCefViewDelegateOwn
- TCefTextfieldDelegateOwn

## Overview

### Methods

| `procedure OnKeyEvent(const textfield: ICefTextfield; const event: TCefKeyEvent; var aResult : boolean); virtual;`
| `procedure OnAfterUserAction(const textfield: ICefTextfield); virtual;`
| `procedure InitializeCEFMethods; override;`
| `constructor Create; override;`

## Description

### Methods

| `procedure OnKeyEvent(const textfield: ICefTextfield; const event: TCefKeyEvent; var aResult : boolean); virtual;`
Called when |textfield| receives a keyboard event. |event| contains information about the keyboard event. Return true (1) if the keyboard event was handled or false (0) otherwise for default handling.

| `procedure OnAfterUserAction(const textfield: ICefTextfield); virtual;`
Called after performing a user action that may change |textfield|.

| `procedure InitializeCEFMethods; override;`
Links the methods in the internal CEF record data pointer with the methods in this class.

| `constructor Create; override;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.